<?php

//...
use App\Http\Controllers\UserProfileController;
use Illuminate\Support\Facades\Route;
//...

Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    $authMiddleware = config('jetstream.guard')
                ? 'auth:'.config('jetstream.guard')
                : 'auth';

    Route::group(['middleware' => [$authMiddleware, 'verified']], function () {
        // User & Profile...
        Route::get('/user/profile', [UserProfileController::class, 'show'])
            ->name('profile.show');
    });
});
